From linux-usb-devel-admin@lists.sourceforge.net Tue Aug  9 12:30:56 2005
From: Ben Dooks <ben-linux@fluff.org>
Message-ID: <20050809140400.GA11785@home.fluff.org>
Subject: USB: S3C24XX port numbering fix
Date: Tue, 9 Aug 2005 15:04:00 +0100

Fix the port numbering confusion for the S3C24XX platform device
information as reported by Rudy <rudyboy168@gmail.com>

This patch ensurs that the the ports are numbered 0 and 1.

Signed-off-by: Ben Dooks <ben-linux@fluff.org>
Signed-off-by: Greg Kroah-Hartman <gregkh@suse.de>

---
 drivers/usb/host/ohci-s3c2410.c |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

--- gregkh-2.6.orig/drivers/usb/host/ohci-s3c2410.c	2005-08-02 13:41:29.000000000 -0700
+++ gregkh-2.6/drivers/usb/host/ohci-s3c2410.c	2005-08-10 14:50:17.000000000 -0700
@@ -129,7 +129,7 @@
 
 	if (info->power_control != NULL) {
 		info->port[port-1].power = to;
-		(info->power_control)(port, to);
+		(info->power_control)(port-1, to);
 	}
 }
 
@@ -339,8 +339,8 @@
 	struct usb_hcd *hcd = NULL;
 	int retval;
 
-	s3c2410_usb_set_power(dev->dev.platform_data, 0, 1);
 	s3c2410_usb_set_power(dev->dev.platform_data, 1, 1);
+	s3c2410_usb_set_power(dev->dev.platform_data, 2, 1);
 
 	hcd = usb_create_hcd(driver, &dev->dev, "s3c24xx");
 	if (hcd == NULL)
